//------------------------------------------------------------------------------------
// irr::scene::IBillboardSceneNode wrappers (parent is ISceneNode)
//------------------------------------------------------------------------------------

extern "C"
{

	dimension2d<f32>* IrrScene_IBillboardSceneNode_getSize(IBillboardSceneNode* bb)
	{
		if (bb)
			return new dimension2d<f32>(bb->getSize());
		else return 0;
	}
	
	void IrrScene_IBillboardSceneNode_setSize(IBillboardSceneNode* bb,dimension2d<f32>* size)
	{
		if (bb)
			bb->setSize(*size);
	}
	 
	void IrrScene_IBillboardSceneNode_setColor(IBillboardSceneNode* bb,const video::SColor& overallColor)
	{
		if (bb)
			bb->setColor(overallColor);
	}

	void IrrScene_IBillboardSceneNode_setColorTopBottom(IBillboardSceneNode* bb,const video::SColor& topColor, const video::SColor& bottomColor)
	{
		if (bb)
			bb->setColor(topColor,bottomColor);
	}

	void IrrScene_IBillboardSceneNode_getColor(IBillboardSceneNode* bb,video::SColor& topColor, video::SColor& bottomColor)
	{
		if (bb)
			bb->getColor(topColor,bottomColor);
	}

}